diff --git a/game/client/src/main/java/net/minecraft/client/render/RenderGlobal.java b/game/client/src/main/java/net/minecraft/client/render/RenderGlobal.java
index 964fcc095..f96016852 100644
--- a/game/client/src/main/java/net/minecraft/client/render/RenderGlobal.java
+++ b/game/client/src/main/java/net/minecraft/client/render/RenderGlobal.java
@@ -2,19 +2,21 @@ package net.minecraft.client.render;
 
 import it.unimi.dsi.fastutil.objects.ObjectArrayList;
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.render.block.model.generic.BlockModelGenericLeaves;
-import net.minecraft.client.render.particle.Particle;
-import net.minecraft.client.render.particle.ParticleDispatcher;
 import net.minecraft.client.gui.ScreenPhotoMode;
 import net.minecraft.client.gui.modelviewer.ScreenModelViewer;
 import net.minecraft.client.gui.options.ScreenOptions;
+import net.minecraft.client.option.GameSettings;
+import net.minecraft.client.option.enums.CloudQuality;
+import net.minecraft.client.option.enums.ParticlesQuality;
 import net.minecraft.client.render.block.model.BlockModelDispatcher;
 import net.minecraft.client.render.camera.EntityCamera;
 import net.minecraft.client.render.camera.ICamera;
 import net.minecraft.client.render.colorizer.Colorizers;
 import net.minecraft.client.render.culling.CameraFrustum;
+import net.minecraft.client.render.particle.Particle;
+import net.minecraft.client.render.particle.ParticleDispatcher;
+import net.minecraft.client.render.particle.ParticleEntry;
 import net.minecraft.client.render.renderer.BlendFactor;
-import net.minecraft.client.render.renderer.CompareFunc;
 import net.minecraft.client.render.renderer.DrawMode;
 import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.client.render.renderer.Shaders;
@@ -22,32 +24,32 @@ import net.minecraft.client.render.renderer.State;
 import net.minecraft.client.render.terrain.ChunkRenderer;
 import net.minecraft.client.render.tessellator.RenderBuffer;
 import net.minecraft.client.render.tessellator.TessellatorAurora;
+import net.minecraft.client.render.tessellator.TessellatorGeneral;
 import net.minecraft.client.render.tessellator.TessellatorShader;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
-import net.minecraft.client.render.tessellator.TessellatorGeneral;
 import net.minecraft.client.render.worldtype.WorldTypeFX;
 import net.minecraft.client.render.worldtype.WorldTypeFXDispatcher;
 import net.minecraft.client.world.WorldClient;
+import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.support.ISupport;
 import net.minecraft.core.block.support.PartialSupport;
+import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
+import net.minecraft.core.enums.EnumBlockSoundEffectType;
+import net.minecraft.core.item.Item;
 import net.minecraft.core.item.ItemDiscMusic;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.player.gamemode.Gamemodes;
+import net.minecraft.core.sound.SoundCategory;
 import net.minecraft.core.util.helper.Color;
 import net.minecraft.core.util.helper.Direction;
-import net.minecraft.core.util.helper.Side;
-import net.minecraft.core.util.phys.HitResult;
-import net.minecraft.core.block.Block;
-import net.minecraft.core.block.Blocks;
-import net.minecraft.core.entity.Entity;
-import net.minecraft.core.enums.EnumBlockSoundEffectType;
-import net.minecraft.core.item.Item;
-import net.minecraft.core.sound.SoundCategory;
 import net.minecraft.core.util.helper.MathHelper;
+import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.util.phys.BoundingVolume;
+import net.minecraft.core.util.phys.HitResult;
 import net.minecraft.core.world.AuroraProvider;
 import net.minecraft.core.world.LevelListener;
 import net.minecraft.core.world.pos.ChunkPos;
@@ -64,7 +66,10 @@ import org.joml.primitives.AABBd;
 import org.joml.primitives.AABBdc;
 import org.lwjgl.opengl.GL41;
 
-import java.util.*;
+import java.util.ArrayList;
+import java.util.Arrays;
+import java.util.List;
+import java.util.Random;
 
 import static java.awt.Color.HSBtoRGB;
 
@@ -79,8 +84,6 @@ public class RenderGlobal
     }
 
     public static final int RENDER_CHUNK_SIZE = 16;
-    public static final int MAX_VISIBLE_REBUILDS_PER_FRAME = 6;
-    public static final int MAX_INVISIBLE_REBUILDS_PER_FRAME = 1;
 
     public List<TileEntity> renderableTileEntities = new ObjectArrayList<>();
     private WorldClient world;
@@ -229,8 +232,7 @@ public class RenderGlobal
     public void allChanged() {
         ScreenOptions.queueReload = false;
         updateStars();
-        BlockModelGenericLeaves.setGraphicsLevel(this.mc.gameSettings.fancyGraphics.value == 1);
-        this.renderDistance = this.mc.gameSettings.renderDistance.value;
+        this.renderDistance = GameSettings.RENDER_DISTANCE.value;
         if (this.world == null) return;
 
         // Reset all world renderers
@@ -294,7 +296,7 @@ public class RenderGlobal
     }
     private final TessellatorAurora tessellatorAurora = new TessellatorAurora("Aurora Tessellator", 524288);
     public @Nullable RenderBuffer meshAurora(@NotNull ICamera camera) {
-        if (!this.mc.gameSettings.aurora.value) return null;
+        if (!GameSettings.AURORA.value) return null;
         float celestialAngle = this.world.getCelestialAngle(1f);
         float celestialAngleO = this.world.getCelestialAngle(0);
         if (celestialAngle < 0.25f && celestialAngleO < 0.25f) return null;
@@ -512,7 +514,7 @@ public class RenderGlobal
                 }
             }
             if (this.mc.thePlayer.vehicle != entity) {
-                if (!entity.shouldRender(cameraPos, this.mc.gameSettings.entityRenderDistance.value)) continue;
+                if (!entity.shouldRender(cameraPos, GameSettings.ENTITY_RENDER_DISTANCE.value)) continue;
                 if (!entity.ignoreFrustumCheck && !camera.getFrustum().isVisible(EntityRendererDispatcher.instance.getRenderer(entity).entityViewBox(entity), partialTick))
                     continue; // TODO OPENGL fix this broken check, nearly always returns false now
             }
@@ -627,7 +629,7 @@ public class RenderGlobal
             }
         }
 
-        if (this.mc.gameSettings.renderDistance.value != this.renderDistance) {
+        if (GameSettings.RENDER_DISTANCE.value != this.renderDistance) {
             allChanged();
         }
 
@@ -851,7 +853,7 @@ public class RenderGlobal
     }
 
     private float getCloudHeightModifier() {
-        return this.mc.gameSettings.cloudHeight.value * 128;
+        return GameSettings.CLOUD_HEIGHT.value * 128;
     }
 
     public void renderClouds(float partialTick) {
@@ -862,7 +864,7 @@ public class RenderGlobal
         if (this.mc.currentScreen instanceof ScreenPhotoMode) {
             return;
         }
-        if (this.mc.gameSettings.fancyGraphics.value == 1) {
+        if (GameSettings.CLOUD_QUALITY.value == CloudQuality.FANCY) {
             renderCloudsFancy(partialTick);
             return;
         }
@@ -1082,7 +1084,7 @@ public class RenderGlobal
 //        return this.dirtyChunks.size() <= this.cantBuildRenderers.size(); // Return true if no more dirty renderers
 //    }
 
-    private final @Nullable ChunkRenderer @NotNull [] toAdd = new ChunkRenderer[MAX_VISIBLE_REBUILDS_PER_FRAME];
+    private final @Nullable ChunkRenderer @NotNull [] toAdd = new ChunkRenderer[GameSettings.CHUNK_REBUILDS_PER_FRAME.highest];
     private final @NotNull List<@NotNull ChunkRenderer> nearChunks = new ArrayList<>();
 
     public boolean updateDirtyChunks(@NotNull ICamera camera) {
@@ -1098,7 +1100,7 @@ public class RenderGlobal
             if (renderer.distanceToCameraSquared(camera) > nearCheck) {
                 int index = 0;
 
-                while (index < MAX_VISIBLE_REBUILDS_PER_FRAME && (this.toAdd[index] == null || this.dirtyChunkRendererSorter.compare(this.toAdd[index], renderer) <= 0)) {
+                while (index < GameSettings.CHUNK_REBUILDS_PER_FRAME.value && (this.toAdd[index] == null || this.dirtyChunkRendererSorter.compare(this.toAdd[index], renderer) <= 0)) {
                     index++;
                 }
 
@@ -1129,12 +1131,12 @@ public class RenderGlobal
             }
         }
 
-        for (int i = MAX_VISIBLE_REBUILDS_PER_FRAME - 1; i >= 0; i--) {
+        for (int i = GameSettings.CHUNK_REBUILDS_PER_FRAME.value - 1; i >= 0; i--) {
             ChunkRenderer chunkx = this.toAdd[i];
             if (chunkx == null) {
                 continue;
             }
-            if (!chunkx.visible && i != MAX_VISIBLE_REBUILDS_PER_FRAME - 1) {
+            if (!chunkx.visible && i != GameSettings.CHUNK_REBUILDS_PER_FRAME.value - 1) {
                 this.toAdd[i] = null;
                 break;
             }
@@ -1183,7 +1185,7 @@ public class RenderGlobal
     }
 
     public void drawSelectionBox(ICamera camera, HitResult hitResult, float partialTick) {
-        if (this.mc.gameSettings.immersiveMode.drawOutline() && this.mc.gameSettings.blockOutlineWidth.value > 0.01f && !(this.mc.currentScreen instanceof ScreenModelViewer)) {
+        if (GameSettings.IMMERSIVE_MODE.drawOutline() && GameSettings.BLOCK_OUTLINE_WIDTH.value > 0.01f && !(this.mc.currentScreen instanceof ScreenModelViewer)) {
             GLRenderer.pushFrame();
             GLRenderer.enableState(State.BLEND);
             GLRenderer.setBlendFunc(BlendFactor.SRC_ALPHA, BlendFactor.ONE_MINUS_SRC_ALPHA);
@@ -1208,7 +1210,7 @@ public class RenderGlobal
                         selectionBB.translate(-offsetX, -offsetY, -offsetZ);
                         drawOutlinedBoundingBox(selectionBB);
                     }
-                    if (this.mc.gameSettings.viewSupportMode.value) {
+                    if (GameSettings.VIEW_SUPPORT_MODE.value) {
                         TessellatorGeneral t = GLRenderer.getTessellator();
 
                         double x = hitTile.tilePos.x() - offsetX;
@@ -1542,7 +1544,7 @@ public class RenderGlobal
                         t.draw();
                     }
                 }
-            } else if (hitResult instanceof HitResult.Entity hitEntity && hitEntity.entity.showBoundingBoxOnHover() && !this.mc.gameSettings.showCollisionBoxes.value) {
+            } else if (hitResult instanceof HitResult.Entity hitEntity && hitEntity.entity.showBoundingBoxOnHover() && !GameSettings.SHOW_COLLISION_BOXES.value) {
                 drawInterpolatedEntityBoundingBox(hitEntity.entity, hitEntity.entity.bb, camera, partialTick);
             }
             GLRenderer.popFrame();
@@ -1839,15 +1841,19 @@ public class RenderGlobal
         if (this.mc == null || this.mc.activeCamera == null || this.mc.particleEngine == null) {
             return;
         }
-        double d6 = this.mc.activeCamera.getX() - x;
-        double d7 = this.mc.activeCamera.getY() - y;
-        double d8 = this.mc.activeCamera.getZ() - z;
-        if (d6 * d6 + d7 * d7 + d8 * d8 > maxDistance * maxDistance) {
+        if (GameSettings.PARTICLES_QUALITY.value == ParticlesQuality.NONE) return;
+        double dx = this.mc.activeCamera.getX() - x;
+        double dy = this.mc.activeCamera.getY() - y;
+        double dz = this.mc.activeCamera.getZ() - z;
+        if (dx * dx + dy * dy + dz * dz > maxDistance * maxDistance * GameSettings.PARTICLE_RENDER_DISTANCE.value * GameSettings.PARTICLE_RENDER_DISTANCE.value) {
             return;
         }
-        Particle fx = ParticleDispatcher.getInstance().getDispatch(particleId).newParticle(this.world, x, y, z, motionX, motionY, motionZ, data);
-        if (fx != null) {
-            this.mc.particleEngine.add(fx);
+        ParticleEntry entry = ParticleDispatcher.getInstance().getDispatch(particleId);
+        if (entry.enabled()) {
+            Particle fx = entry.newParticle(this.world, x, y, z, motionX, motionY, motionZ, data);
+            if (fx != null) {
+                this.mc.particleEngine.add(fx);
+            }
         }
     }
 
@@ -1858,7 +1864,7 @@ public class RenderGlobal
         }
         if (seasonChanged) {
             for (ChunkRenderer chunkRenderer : this.chunkRenderers) {
-                if (chunkRenderer.skyLit && !chunkRenderer.dirty) {
+                if (/*chunkRenderer.skyLit && */!chunkRenderer.dirty) {
                     this.dirtyChunks.add(chunkRenderer);
                     chunkRenderer.setDirty();
                 }
@@ -1913,7 +1919,7 @@ public class RenderGlobal
 
                     this.world.playBlockSoundEffect(null, (float) x + 0.5F, (float) y + 0.5F, (float) z + 0.5F, block, EnumBlockSoundEffectType.MINE);
                 }
-                this.mc.particleEngine.destroy(x, y, z, data, this.world.getBlockMetadata(x, y, z));
+                this.mc.particleEngine.destroy(new TilePos(x, y, z), data, this.world.getBlockMetadata(x, y, z));
                 break;
 
             case EVENT_DOOR_SOUND: // Door sound
diff --git a/game/client/src/main/java/net/minecraft/client/render/TextureManager.java b/game/client/src/main/java/net/minecraft/client/render/TextureManager.java
index 198198164..521dad50d 100644
--- a/game/client/src/main/java/net/minecraft/client/render/TextureManager.java
+++ b/game/client/src/main/java/net/minecraft/client/render/TextureManager.java
@@ -22,6 +22,7 @@ import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.popup.PopupScreen;
 import net.minecraft.client.gui.popup.PopupBuilder;
 import net.minecraft.client.option.GameSettings;
+import net.minecraft.client.option.enums.TextureAnimation;
 import net.minecraft.client.render.colorizer.Colorizers;
 import net.minecraft.client.render.customatlas.CustomAtlasHandler;
 import net.minecraft.client.render.dynamictexture.DynamicTexture;
@@ -72,21 +73,19 @@ public class TextureManager {
 	public final List<TextureBuffered> bufferedTextures = new ObjectArrayList<>();
 	public final Map<String, TextureDownloaded> downloadedTextures = new Object2ObjectOpenHashMap<>();
 	public final Map<NamespaceID, DynamicTexture> dynamicTextures = new Object2ObjectOpenHashMap<>();
-	
-	private final GameSettings gameSettings;
-	public TexturePackList texturePacks;
+
+	public final @NotNull TexturePackList texturePacks;
 	
 	private final boolean clampTexture;
 	private final boolean blurTexture;
 
-	public TextureManager(final Minecraft minecraft, final TexturePackList texturePacks, final GameSettings gameSettings) {
+	public TextureManager(final @NotNull Minecraft minecraft, final @NotNull TexturePackList texturePacks) {
 		this.mc = minecraft;
 		
 		this.clampTexture = false;
 		this.blurTexture = false;
 		
 		this.texturePacks = texturePacks;
-		this.gameSettings = gameSettings;
 	}
 	
 	public void initDynamicTextures(final Collection<? super Throwable> errors) {
@@ -94,8 +93,8 @@ public class TextureManager {
 
         this.dynamicTextures.clear();
 
-		addNativeDynamicTextures(this.mc.gameSettings.animations.value);
-		if (this.mc.gameSettings.customAnimations.value && this.mc.gameSettings.animations.value == ANIMATIONS_CUSTOM) {
+		addNativeDynamicTextures(GameSettings.TEXTURE_ANIMATIONS.value);
+		if (GameSettings.CUSTOM_TEXTURE_ANIMATIONS.value && GameSettings.TEXTURE_ANIMATIONS.value == TextureAnimation.CUSTOM) {
 			try {
 				loadCustomAnimations(errors);
 			}catch (final TexturePackException e) {
@@ -108,8 +107,8 @@ public class TextureManager {
 		addDynamicTextureOverride(new DynamicTextureCompass(this.mc, TextureRegistry.getTexture("minecraft:item/tool_compass")), true);
 	}
 
-	protected void addNativeDynamicTextures(int state) {
-		if (state > ANIMATIONS_DISABLED) {addDynamicTexture(new DynamicTextureWaterStill(TextureRegistry.getTexture("minecraft:block/water_still")));
+	protected void addNativeDynamicTextures(@NotNull TextureAnimation state) {
+		if (state != TextureAnimation.OFF) {addDynamicTexture(new DynamicTextureWaterStill(TextureRegistry.getTexture("minecraft:block/water_still")));
 			addDynamicTexture(new DynamicTextureWaterFlow(TextureRegistry.getTexture("minecraft:block/water_flowing")));
 			addDynamicTexture(new DynamicTextureLavaStill(TextureRegistry.getTexture("minecraft:block/lava_still")));
 			addDynamicTexture(new DynamicTextureLavaFlowing(TextureRegistry.getTexture("minecraft:block/lava_flowing")));
@@ -124,7 +123,7 @@ public class TextureManager {
 			addDynamicTexture(new DynamicTextureTrommel(this.mc, TextureRegistry.getTexture("minecraft:block/trommel/active_front"), true));
 			addDynamicTexture(new DynamicTextureTrommel(this.mc, TextureRegistry.getTexture("minecraft:block/trommel/active_back"), false));
 		}
-		if (state < ANIMATIONS_CUSTOM) {
+		if (state != TextureAnimation.CUSTOM) {
 			for (final DyeColor c : DyeColor.values()) {
 				final IconCoordinate cNether = TextureRegistry.getTexture("minecraft:block/portal_nether/" + c.colorID);
 				assert cNether.hasMeta("animation") : "Coordinate " + cNether.namespaceId + " is expected to have animation data attached!";
@@ -146,7 +145,7 @@ public class TextureManager {
 	}
 
 	private void loadCustomAnimations(final Collection<? super Throwable> errors) {
-		if(!this.mc.gameSettings.customAnimations.value) {
+		if(!GameSettings.CUSTOM_TEXTURE_ANIMATIONS.value) {
 			return;
 		}
 
@@ -229,7 +228,7 @@ public class TextureManager {
 		int y1 = icon.iconY;
 		glTexSubImage2D(GL_TEXTURE_2D, 0, x1, y1, icon.width, icon.height, GL_RGBA, GL_UNSIGNED_BYTE, buffer);
 		
-		if(this.mc.gameSettings.mipmapLevels.value > 0 && anim.targetTexture.parentAtlas.hasMipmaps()) {
+		if(GameSettings.MIPMAP_LEVELS.value > 0 && anim.targetTexture.parentAtlas.hasMipmaps()) {
 			int levels = glGetTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MAX_LEVEL);
 
 			for(int level = 1; level <= levels; level++) {
diff --git a/game/client/src/main/java/net/minecraft/client/render/TileEntityRenderDispatcher.java b/game/client/src/main/java/net/minecraft/client/render/TileEntityRenderDispatcher.java
index ac82c1181..b31fd88ca 100644
--- a/game/client/src/main/java/net/minecraft/client/render/TileEntityRenderDispatcher.java
+++ b/game/client/src/main/java/net/minecraft/client/render/TileEntityRenderDispatcher.java
@@ -16,8 +16,7 @@ import net.minecraft.core.world.World;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 
-public final class TileEntityRenderDispatcher
-{
+public final class TileEntityRenderDispatcher {
     public static final @NotNull TileEntityRenderDispatcher instance = new TileEntityRenderDispatcher();
     public static double renderPosX = 0;
     public static double renderPosY = 0;
@@ -28,7 +27,6 @@ public final class TileEntityRenderDispatcher
     public final @NotNull TextureManager textureManager;
     public final @NotNull TexturePackList packList;
     private final @NotNull FontRenderer font;
-    public final @NotNull GameSettings settings;
     public @Nullable ICamera camera;
     public float viewLerpYaw = 0;
     public float viewLerpPitch = 0;
@@ -37,13 +35,11 @@ public final class TileEntityRenderDispatcher
     public double viewLerpPosZ = 0;
 
 
-    private TileEntityRenderDispatcher()
-    {
+    private TileEntityRenderDispatcher() {
         final Minecraft mc = Minecraft.getMinecraft();
         this.textureManager = mc.textureManager;
         this.packList = mc.texturePackList;
         this.font = mc.font;
-        this.settings = mc.gameSettings;
         this.renderers = new HashMap<>();
         reload();
     }
@@ -66,36 +62,28 @@ public final class TileEntityRenderDispatcher
     }
 
     @SuppressWarnings("unchecked") // trust me this is safe, Notch did it first
-    public <T extends TileEntity> TileEntityRenderer<T> getRenderer(final Class<? extends TileEntity> e)
-    {
+    public <T extends TileEntity> TileEntityRenderer<T> getRenderer(final Class<? extends TileEntity> e) {
         TileEntityRenderer<? extends TileEntity> r = this.renderers.get(e);
-        if(r == null && e != TileEntity.class)
-        {
+        if (r == null && e != TileEntity.class) {
             r = getRenderer((Class<? extends TileEntity>) e.getSuperclass());
             this.renderers.put(e, r);
         }
         return (TileEntityRenderer<T>) r;
     }
 
-    public <T extends TileEntity> @Nullable TileEntityRenderer<T> getRenderer(final @Nullable T tileEntity)
-    {
-        if(tileEntity == null)
-        {
+    public <T extends TileEntity> @Nullable TileEntityRenderer<T> getRenderer(final @Nullable T tileEntity) {
+        if (tileEntity == null) {
             return null;
-        }
-        else
-        {
+        } else {
             return getRenderer(tileEntity.getClass());
         }
     }
 
-    public <T extends TileEntity> boolean hasRenderer(final @NotNull T tileEntity)
-    {
+    public <T extends TileEntity> boolean hasRenderer(final @NotNull T tileEntity) {
         return getRenderer(tileEntity) != null;
     }
 
-    public void cacheActiveRenderInfo(final @NotNull ICamera camera, final float partialTick)
-    {
+    public void cacheActiveRenderInfo(final @NotNull ICamera camera, final float partialTick) {
         this.camera = camera;
         this.viewLerpYaw = (float) camera.getYRot(partialTick);
         this.viewLerpPitch = (float) camera.getXRot(partialTick);
@@ -111,28 +99,26 @@ public final class TileEntityRenderDispatcher
         }
     }
 
-    public <T extends TileEntity> void renderTileEntity(final @NotNull TessellatorGeneral tessellator, final @NotNull ICamera camera, final @NotNull World world, final @NotNull T tileEntity, final float partialTick)
-    {
+    public <T extends TileEntity> void renderTileEntity(final @NotNull TessellatorGeneral tessellator, final @NotNull ICamera camera, final @NotNull World world, final @NotNull T tileEntity, final float partialTick) {
         final TileEntityRenderer<T> renderer = TileEntityRenderDispatcher.instance.getRenderer(tileEntity);
 
         if (renderer == null) return;
-        if(tileEntity.getDistanceFrom(this.viewLerpPosX, this.viewLerpPosY, this.viewLerpPosZ) > 4096D * this.settings.entityRenderDistance.value) return;
+        if (tileEntity.getDistanceFrom(this.viewLerpPosX, this.viewLerpPosY, this.viewLerpPosZ) > 4096D * GameSettings.ENTITY_RENDER_DISTANCE.value)
+            return;
         if (!renderer.isVisible(tileEntity, camera, partialTick)) return;
 
         GLRenderer.setLightmapCoord1i(world.getLightmapCoord(tileEntity.x, tileEntity.y, tileEntity.z, 0));
         GLRenderer.setColor3f(1f, 1f, 1f);
         renderer.doRender(tessellator,
             tileEntity,
-            (double)tileEntity.x - renderPosX,
-            (double)tileEntity.y - renderPosY,
-            (double)tileEntity.z - renderPosZ, partialTick);
+            (double) tileEntity.x - renderPosX,
+            (double) tileEntity.y - renderPosY,
+            (double) tileEntity.z - renderPosZ, partialTick);
     }
 
-    public <T extends TileEntity> void renderTileEntity(final @NotNull TessellatorGeneral tessellator, final @NotNull T tileEntity, final double x, final double y, final double z, final float partialTick)
-    {
+    public <T extends TileEntity> void renderTileEntity(final @NotNull TessellatorGeneral tessellator, final @NotNull T tileEntity, final double x, final double y, final double z, final float partialTick) {
         final TileEntityRenderer<T> renderer = getRenderer(tileEntity);
-        if(renderer != null)
-        {
+        if (renderer != null) {
             renderer.doRender(tessellator, tileEntity, x, y, z, partialTick);
         }
     }
@@ -144,8 +130,7 @@ public final class TileEntityRenderDispatcher
         }
     }
 
-    public @NotNull FontRenderer getFont()
-    {
+    public @NotNull FontRenderer getFont() {
         return this.font;
     }
 
